Skip to main content
GET
/
api
/
v1
/
clusters
/
digitalocean
/
{cluster_id}
/
node-groups
List Node Groups Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/node-groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/node-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/node-groups \
--header 'Authorization: Bearer <token>'
{
  "node_groups": [
    {
      "count": 123,
      "instance_type": "<string>",
      "name": "<string>",
      "labels": {},
      "max": 100,
      "min": 0,
      "taints": [
        {
          "key": "<string>",
          "value": ""
        }
      ]
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid>
required

Response

Successful Response

node_groups
NodeGroupInfo · object[]
required